Loading...
Searching...
No Matches
svn_client_copy_source_t Struct Reference
Client working copy management » Copy paths in the working copy and repository.

A structure which describes the source of a copy operation–its path, revision, and peg revision. More...

`#include <svn_client.h>`

## Data Fields

const char * | path
| The source path or URL.
const svn_opt_revision_t * | revision
| The source operational revision.
const svn_opt_revision_t * | peg_revision
| The source peg revision.

## Detailed Description

A structure which describes the source of a copy operation–its path, revision, and peg revision.

Since
  New in 1.5.

Definition at line 5497 of file svn_client.h.

## Field Documentation

## path

const char* svn_client_copy_source_t::path

The source path or URL.

Definition at line 5500 of file svn_client.h.

## peg_revision

const svn_opt_revision_t* svn_client_copy_source_t::peg_revision

The source peg revision.

Definition at line 5506 of file svn_client.h.

## revision

const svn_opt_revision_t* svn_client_copy_source_t::revision

The source operational revision.

Definition at line 5503 of file svn_client.h.

The documentation for this struct was generated from the following file:

- svn_client.h